Computing & Communications Center
Network Operations

Wireless Networking

How do I need to connect to the Wireless Network?

To take advantage of the WPI wireless network, you will need an WiFi compatible wireless network card that has the ability to handle WPA with 802.1x authentication, also called WPA Enterprise. The Wi-Fi Alliance maintains a Certified Products Search Tool that can assist you in finding wireless cards that have passed compatability and compliance testing.

Requirements

General Instructions

  1. Get Connected!
    1. Unplug your wired Ethernet connection
    2. Connect to the WPI-Wireless-Setup wireless network
  2. Register your device
    1. Visit http://netreg.wpi.edu/ and login with your WPI Username and Password
    2. Quick Registration will identify you
    3. Choose an Operating System
    4. Wait up to 30 minutes to process the registration
  3. Configure your device
    1. Visit https://wpi-wireless-setup.wpi.edu/ from your device
    2. Follow the onscreen instructions

Device Specific Instructions

Windows Devices

Macintosh OS X Devices

iPhone, iPad and iPods

Android Phones and Tablets

Ubuntu Devices

Fedora Devices

Google ChromeBook

Devices Not Listed

What if I don't have one of those devices?

Note that devices, such as Nintendo Wii, which only support WPA Personal or Pre-Shared Key (PSK) will not work on the WPI network. Please visit Wireless Issues for known problematic devices.

Windows Devices

  • Windows 7 requires Service Pack 1 or newer. Windows Vista requires Service Pack 2 or newer.
  • If you are using Firefox or Chrome, make sure you have Java 1.7 installed for automated installation. Internet Explorer does not require Java as it will use an ActiveX applet.
  • Safari for Windows does not work with Java 1.7 and is not supported for wireless setup.
  • When using Windows 8 and Internet Explorer, please be sure to use the Desktop version. For information on how to switch, please reference http://www.bleepingcomputer.com/tutorials/use-desktop-mode-in-internet-explorer-10/
  • Windows 8.1 Preview Release and RTM is not current supported.

Macintosh OS X Devices

  • Make sure that Java 1.7 has been installed for automated installation.
  • You can only use Firefox or Safari for this installation. Chrome will not work with Java 1.7.
  • You will need an administrative username and password for your computer.

Android Devices

  • Automated installation for Android versions 2.1 (circa 2010) and newer are supported. If you have an Android device with an older Android version you will need to configure it manually.
  • Make sure that your device has a lock screen PIN or password.
  • Enable "Unknown sources" in Settings -> Security.

iPad, iPod and iPhones

  • iOS version 2 or greater is required.
  • iOS version 7 - to be released September 17, 2013 - is supported
  • Safari is required for this process. Alternative browsers are not supported.

Ubuntu

  • Ubuntu version 9.04 or greater is required.

Fedora

  • Fedora version 18 is required.

Google ChromeBook

  • In order to put this device on the WPI-Wireless network, you will need to have previously logged in with your Google account. If you have not been able to accomplish this, please visit Network Operations who can assist with getting you setup.
Maintained by webmaster@wpi.edu
Last modified: Sep 27, 2013, 10:01 EDT
[WPI] [Home] [Top]